<?php

use Illuminate\Database\Migrations\Migration;

class CreateAssociationsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: associations
         */
        Schema::create('associations', function ($table) {
            $table->increments('id');
            $table->string('name', 255)->nullable();
            $table->string('logo', 255)->nullable();
            $table->enum('category', [jeunesse, sport])->nullable();
            $table->longText('activity')->nullable();
            $table->string('address', 255)->nullable();
            $table->string('email', 255)->nullable();
            $table->string('phone', 20)->nullable();
            $table->integer('commune_id')->nullable();
            $table->string('slug', 200)->nullable();
            $table->enum('status', ['draft', 'complete', 'verify', 'approve', 'publish', 'unpublish', 'archive'])->default('draft')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type',50)->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('associations');
    }
}
