<?php

namespace Nico\Nico\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Nico\Nico\Interfaces\AssociationsRepositoryInterface;

class AssociationsPublicController extends BaseController
{
    // use AssociationsWorkflow;

    /**
     * Constructor.
     *
     * @param type \Nico\Associations\Interfaces\AssociationsRepositoryInterface $associations
     *
     * @return type
     */
    public function __construct(AssociationsRepositoryInterface $associations)
    {
        $this->repository = $associations;
        parent::__construct();
    }

    /**
     * Show associations's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $associations = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('nico::public.associations.index', compact('associations'))->render();
    }

    /**
     * Show associations.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $associations = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('nico::public.associations.show', compact('associations'))->render();
    }

}
