<?php

namespace Nico\Nico\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Nico\Nico\Interfaces\BureauRepositoryInterface;

class BureauPublicController extends BaseController
{
    // use BureauWorkflow;

    /**
     * Constructor.
     *
     * @param type \Nico\Bureau\Interfaces\BureauRepositoryInterface $bureau
     *
     * @return type
     */
    public function __construct(BureauRepositoryInterface $bureau)
    {
        $this->repository = $bureau;
        parent::__construct();
    }

    /**
     * Show bureau's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $bureaus = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('nico::public.bureau.index', compact('bureaus'))->render();
    }

    /**
     * Show bureau.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $bureau = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('nico::public.bureau.show', compact('bureau'))->render();
    }

}
