<?php

namespace Nico\Nico\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Nico\Nico\Interfaces\CommuneRepositoryInterface;

class CommunePublicController extends BaseController
{
    // use CommuneWorkflow;

    /**
     * Constructor.
     *
     * @param type \Nico\Commune\Interfaces\CommuneRepositoryInterface $commune
     *
     * @return type
     */
    public function __construct(CommuneRepositoryInterface $commune)
    {
        $this->repository = $commune;
        parent::__construct();
    }

    /**
     * Show commune's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $communes = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('nico::public.commune.index', compact('communes'))->render();
    }

    /**
     * Show commune.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $commune = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('nico::public.commune.show', compact('commune'))->render();
    }

}
