<?php

namespace Nico\Nico\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Nico\Nico\Interfaces\DisciplineRepositoryInterface;

class DisciplinePublicController extends BaseController
{
    // use DisciplineWorkflow;

    /**
     * Constructor.
     *
     * @param type \Nico\Discipline\Interfaces\DisciplineRepositoryInterface $discipline
     *
     * @return type
     */
    public function __construct(DisciplineRepositoryInterface $discipline)
    {
        $this->repository = $discipline;
        parent::__construct();
    }

    /**
     * Show discipline's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $disciplines = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('nico::public.discipline.index', compact('disciplines'))->render();
    }

    /**
     * Show discipline.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $discipline = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('nico::public.discipline.show', compact('discipline'))->render();
    }

}
