<?php

namespace Nico\Nico\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Litepie\Database\Model;
use Litepie\Database\Traits\Slugger;
use Litepie\Filer\Traits\Filer;
use Litepie\Hashids\Traits\Hashids;
use Litepie\Repository\Traits\PresentableTrait;
use Litepie\Revision\Traits\Revision;
use Litepie\Trans\Traits\Translatable;
// use Litepie\Workflow\Model\Workflow;

class Associations extends Model
{
    use Filer, SoftDeletes, Hashids, Slugger, Translatable, Revision, PresentableTrait;
    // use Workflow;

    /**
     * Configuartion for the model.
     *
     * @var array
     */
     protected $config = 'nico.nico.associations';


    /**
     * The Commune that belong to the associations.
     */
    public function Commune(){
        return $this->belongsTo('Nico\Associations\Models\Commune');
    }


    /**
     * The Disciplines that belong to the associations.
     */
    public function Disciplines(){
        return $this->hasMany('Nico\Associations\Models\Discipline');
    }
}
