<?php

namespace Nico\Nico;

use User;

class Nico
{
    /**
     * $associations object.
     */
    protected $associations;
    /**
     * $bureau object.
     */
    protected $bureau;
    /**
     * $commune object.
     */
    protected $commune;
    /**
     * $discipline object.
     */
    protected $discipline;

    /**
     * Constructor.
     */
    public function __construct(\Nico\Nico\Interfaces\AssociationsRepositoryInterface $associations,
        \Nico\Nico\Interfaces\BureauRepositoryInterface $bureau,
        \Nico\Nico\Interfaces\CommuneRepositoryInterface $commune,
        \Nico\Nico\Interfaces\DisciplineRepositoryInterface $discipline)
    {
        $this->associations = $associations;
        $this->bureau = $bureau;
        $this->commune = $commune;
        $this->discipline = $discipline;
    }

    /**
     * Returns count of nico.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.associations.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->associations->pushCriteria(new \Litepie\Nico\Repositories\Criteria\AssociationsUserCriteria());
        }

        $associations = $this->associations->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('nico::' . $view, compact('associations'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.bureau.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->bureau->pushCriteria(new \Litepie\Nico\Repositories\Criteria\BureauUserCriteria());
        }

        $bureau = $this->bureau->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('nico::' . $view, compact('bureau'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.commune.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->commune->pushCriteria(new \Litepie\Nico\Repositories\Criteria\CommuneUserCriteria());
        }

        $commune = $this->commune->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('nico::' . $view, compact('commune'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.discipline.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->discipline->pushCriteria(new \Litepie\Nico\Repositories\Criteria\DisciplineUserCriteria());
        }

        $discipline = $this->discipline->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('nico::' . $view, compact('discipline'))->render();
    }
}
