<?php

namespace Nico\Nico\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Associations policy
        \Nico\Nico\Models\Associations::class => \Nico\Nico\Policies\AssociationsPolicy::class,
// Bind Bureau policy
        \Nico\Nico\Models\Bureau::class => \Nico\Nico\Policies\BureauPolicy::class,
// Bind Commune policy
        \Nico\Nico\Models\Commune::class => \Nico\Nico\Policies\CommunePolicy::class,
// Bind Discipline policy
        \Nico\Nico\Models\Discipline::class => \Nico\Nico\Policies\DisciplinePolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
