<?php

namespace Nico\Nico\Workflow;

use Nico\Nico\Models\Associations;
use Nico\Nico\Notifications\Associations as AssociationsNotifyer;
use Notification;

class AssociationsNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Associations $associations
     *
     * @return void
     */
    public function complete(Associations $associations)
    {
        return Notification::send($associations->user, new AssociationsNotifyer($associations, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Associations $associations
     *
     * @return void
     */
    public function verify(Associations $associations)
    {
        return Notification::send($associations->user, new AssociationsNotifyer($associations, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Associations $associations
     *
     * @return void
     */
    public function approve(Associations $associations)
    {
        return Notification::send($associations->user, new AssociationsNotifyer($associations, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Associations $associations
     *
     * @return void
     */
    public function publish(Associations $associations)
    {
        return Notification::send($associations->user, new AssociationsNotifyer($associations, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Associations $associations
     *
     * @return void
     */
    public function archive(Associations $associations)
    {
        return Notification::send($associations->user, new AssociationsNotifyer($associations, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Associations $associations
     *
     * @return void
     */
    public function unpublish(Associations $associations)
    {
        return Notification::send($associations->user, new AssociationsNotifyer($associations, 'unpublish'));;

    }
}
