<?php

namespace Nico\Nico\Workflow;

use Nico\Nico\Models\Bureau;
use Nico\Nico\Notifications\Bureau as BureauNotifyer;
use Notification;

class BureauNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Bureau $bureau
     *
     * @return void
     */
    public function complete(Bureau $bureau)
    {
        return Notification::send($bureau->user, new BureauNotifyer($bureau, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Bureau $bureau
     *
     * @return void
     */
    public function verify(Bureau $bureau)
    {
        return Notification::send($bureau->user, new BureauNotifyer($bureau, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Bureau $bureau
     *
     * @return void
     */
    public function approve(Bureau $bureau)
    {
        return Notification::send($bureau->user, new BureauNotifyer($bureau, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Bureau $bureau
     *
     * @return void
     */
    public function publish(Bureau $bureau)
    {
        return Notification::send($bureau->user, new BureauNotifyer($bureau, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Bureau $bureau
     *
     * @return void
     */
    public function archive(Bureau $bureau)
    {
        return Notification::send($bureau->user, new BureauNotifyer($bureau, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Bureau $bureau
     *
     * @return void
     */
    public function unpublish(Bureau $bureau)
    {
        return Notification::send($bureau->user, new BureauNotifyer($bureau, 'unpublish'));;

    }
}
