<?php

namespace Nico\Nico\Workflow;

use Nico\Nico\Models\Commune;
use Nico\Nico\Notifications\Commune as CommuneNotifyer;
use Notification;

class CommuneNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Commune $commune
     *
     * @return void
     */
    public function complete(Commune $commune)
    {
        return Notification::send($commune->user, new CommuneNotifyer($commune, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Commune $commune
     *
     * @return void
     */
    public function verify(Commune $commune)
    {
        return Notification::send($commune->user, new CommuneNotifyer($commune, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Commune $commune
     *
     * @return void
     */
    public function approve(Commune $commune)
    {
        return Notification::send($commune->user, new CommuneNotifyer($commune, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Commune $commune
     *
     * @return void
     */
    public function publish(Commune $commune)
    {
        return Notification::send($commune->user, new CommuneNotifyer($commune, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Commune $commune
     *
     * @return void
     */
    public function archive(Commune $commune)
    {
        return Notification::send($commune->user, new CommuneNotifyer($commune, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Commune $commune
     *
     * @return void
     */
    public function unpublish(Commune $commune)
    {
        return Notification::send($commune->user, new CommuneNotifyer($commune, 'unpublish'));;

    }
}
