<?php

namespace Nico\Nico\Workflow;

use Nico\Nico\Models\Discipline;
use Nico\Nico\Notifications\Discipline as DisciplineNotifyer;
use Notification;

class DisciplineNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Discipline $discipline
     *
     * @return void
     */
    public function complete(Discipline $discipline)
    {
        return Notification::send($discipline->user, new DisciplineNotifyer($discipline, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Discipline $discipline
     *
     * @return void
     */
    public function verify(Discipline $discipline)
    {
        return Notification::send($discipline->user, new DisciplineNotifyer($discipline, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Discipline $discipline
     *
     * @return void
     */
    public function approve(Discipline $discipline)
    {
        return Notification::send($discipline->user, new DisciplineNotifyer($discipline, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Discipline $discipline
     *
     * @return void
     */
    public function publish(Discipline $discipline)
    {
        return Notification::send($discipline->user, new DisciplineNotifyer($discipline, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Discipline $discipline
     *
     * @return void
     */
    public function archive(Discipline $discipline)
    {
        return Notification::send($discipline->user, new DisciplineNotifyer($discipline, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Discipline $discipline
     *
     * @return void
     */
    public function unpublish(Discipline $discipline)
    {
        return Notification::send($discipline->user, new DisciplineNotifyer($discipline, 'unpublish'));;

    }
}
